# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# Sync with fedora => OK
#

Name:           xmlunit
Version:        1.6
Release:        %mkrel 3
Epoch:          0
Summary:        Provides classes to do asserts on xml
License:        BSD
Source0:        http://downloads.sourceforge.net/xmlunit/xmlunit-%version-src.zip
Source1:        http://repo1.maven.org/maven2/xmlunit/xmlunit/1.0/xmlunit-1.0.pom
URL:            http://xmlunit.sourceforge.net/
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  junit
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

Requires:       junit
Requires:       xalan-j2
Requires:       xml-commons-apis
Requires:       jpackage-utils

Group:          Development/Java

BuildArch:      noarch

%description
XMLUnit extends JUnit to simplify unit testing of XML. It compares a control
XML document to a test document or the result of a transformation, validates
documents against a DTD, and (from v0.5) compares the results of XPath
expressions.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Javadoc for %{name}

%prep
%setup -q 
sed -i /java.class.path/d build.xml
# remove all binary libs and javadocs
find . -name "*.jar" -exec rm -f {} \;
rm -rf doc

cat >build.properties <<EOF
junit.lib=$(build-classpath junit)
xmlxsl.lib=
test.report.dir=test
EOF

cat >docbook.properties <<EOF
db5.xsl=%{_datadir}/sgml/docbook/xsl-ns-stylesheets
EOF

#Fix wrong-file-end-of-line-encoding
sed -i 's/\r//g' README.txt LICENSE.txt

%build
ant -Dbuild.compiler=modern -Dhaltonfailure=yes jar javadocs

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 0644 build/lib/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -m 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap

# Javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%check
ant

%pretrans javadoc -p <lua>
-- we changed symlink to dir in 1.4-2, workaround RPM issues
path = '%{_javadocdir}/%{name}'
if posix.readlink(path) then
   os.remove(path)
end


%files -f .mfiles
%doc README.txt LICENSE.txt userguide/XMLUnit-Java.pdf 

%files javadoc
%doc %{_javadocdir}/%{name}



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0:1.6-3.mga6
+ Revision: 978241
- First rebuild of the java stack

* Fri Feb 19 2016 umeabot <umeabot> 0:1.6-2.mga6
+ Revision: 968911
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 tv <tv> 0:1.6-1.mga6
+ Revision: 857459
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0:1.5-4.mga5
+ Revision: 745006
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.5-3.mga5
+ Revision: 690718
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 spuhler <spuhler> 0:1.5-2.mga5
+ Revision: 673372
- spec file synced with Fedora

* Sun Sep 07 2014 spuhler <spuhler> 0:1.5-1.mga5
+ Revision: 673030
- upgrade to version 1.5

* Mon Jan 06 2014 dmorgan <dmorgan> 0:1.3-7.mga4
+ Revision: 565231
- Rebuild with fixed rpms macros

* Tue Dec 10 2013 joequant <joequant> 0:1.3-6.mga4
+ Revision: 556098
- fix pom location

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 0:1.3-4.mga4
+ Revision: 460907
- remove ant-trax dep

* Mon Jan 14 2013 umeabot <umeabot> 0:1.3-3.mga3
+ Revision: 387218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 0:1.3-2.mga3
+ Revision: 263301
- Sync with fedora spec file
- Fix docbook use

  + gil <gil>
    - BR docbook-dtds
    - update to 1.3
      added docbook5-style-xsl support
      removed unsused gcj macro

* Tue Jan 25 2011 dmorgan <dmorgan> 0:1.2-2.0.2.mga1
+ Revision: 39628
- imported package xmlunit


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:1.2-2.0.2mdv2010.0
+ Revision: 435155
- rebuild

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.2-2.0.1mdv2009.0
+ Revision: 269800
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 13 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2-0.0.1mdv2009.0
+ Revision: 218670
- new version 1.2 and disable gcj compile

* Tue Feb 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-0.0.1mdv2008.1
+ Revision: 175331
- new version, spec cleanup, use pom from the tar

* Mon Jan 07 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.0-5.0.1mdv2008.1
+ Revision: 146299
- add ant-trax BR
- fix Group
- import xmlunit


